resolver kube-dns.kube-system.svc.cluster.local valid=10s;

location ^~ /config/dav {
    proxy_pass https://web.sftpgo.svc.cluster.local/config/dav;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header X-Forwarded-Host $host;
    proxy_set_header X-Forwarded-Port $server_port;
}
